"""Launch file for node_watchdog_node."""

from launch import LaunchDescription
from launch_ros.actions import Node
from launch.substitutions import LaunchConfiguration
from launch.actions import DeclareLaunchArgument
import os
from ament_index_python.packages import get_package_share_directory


def generate_launch_description():
    """Generate launch description for node watchdog."""
    # Package directory
    pkg_dir = get_package_share_directory("saltybot_node_watchdog")

    # Parameters
    config_file = os.path.join(pkg_dir, "config", "watchdog_config.yaml")

    # Declare launch arguments
    return LaunchDescription(
        [
            DeclareLaunchArgument(
                "config_file",
                default_value=config_file,
                description="Path to configuration YAML file",
            ),
            # Node watchdog node
            Node(
                package="saltybot_node_watchdog",
                executable="node_watchdog_node",
                name="node_watchdog",
                output="screen",
                parameters=[LaunchConfiguration("config_file")],
            ),
        ]
    )
